API ReferenceUsage
Read machine-hour usage for the current billing period
Requires billing.read. Optional filters attribute usage to a project or your own end user.
Authorization
bearerAuth AuthorizationBearer <token>
A RemoteHost API key (rh_sk_...) or a user session token.
In: header
Path Parameters
orgId*string
Query Parameters
projectId?string
endUserId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orgs/string/usage"{ "plan": "individual", "projectId": "string", "endUserId": "string", "periodStartsAt": "string", "periodEndsAt": "string", "includedMachineHours": 0, "sandboxMachineHourLimit": 0, "sandboxMachineHourLimitOverride": 0, "projectSandboxMachineHourLimit": 0, "sandboxOverageEnabled": true, "usedMachineHours": 0, "remainingMachineHours": 0, "overageMachineHours": 0, "overageCostUsd": 0, "usageAlert": { "percentUsed": 0, "status": "uncapped", "message": "string" }}